# MatPartitioningScotchSetArch

Specify the file that describes the architecture used for mapping. The format of this file is documented in the Scotch manual.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningScotchSetArch(MatPartitioning part, const char *filename)

### Input Parameter

part -the partitioning context
file -the name of file

### Note

If the name is not set, then the default "archgraph.src" is used.

### See Also

MatPartitioningScotchSetHostList(),MatPartitioningScotchSetMapping()

Level:advanced
Location: src/mat/partition/impls/scotch/scotch.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages